### Method

# Foundry TextManager apply_edits

#### Declaration [src]

    DexFuture*
    foundry_text_manager_apply_edits (
      FoundryTextManager* self,
      GListModel* edits,
      FoundryOperation* operation
    )

#### Description [src]

Applies all of `edits` to the respective files.

#### Parameters

`edits`

  Type: `GObject`

  A `GListModel` of `FoundryTextEdit`.

  The data is owned by the caller of the method.

`operation`

  Type: `FoundryOperation`

  A `FoundryOperation`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.